[Scribus] Error during configure

Pier Luigi Cinquantini plcinquantini
Sun Mar 25 10:30:27 CEST 2007

Je Sabato 24 Marto 2007 19:53, Craig Ringer skribis:
> Pier Luigi Cinquantini wrote:
> > Je Sabato 24 Marto 2007 15:08, Gregory Pittman skribis:
> >> It's not finding your X11 header files for some reason. See if you have
> >> a /usr/include/X11 directory. That's where they might be.
> >
> > Here is what is under /usr/include
> [snip]
> Nope, no X11.
> Are you _sure_ you've read the installation instructions in the BUILDING
> file? They should tell you what you need to know to get Scribus
> installed. If it doesn't, if you can tell me what you've already tried
> that'll help me understand what might need improving in that documentation.

Maybe some little drawings? :-)

I'm sorry, but my experience in "programming" up to now is only in Scribus 
translations (that are not a programming...). In the past I installed 
version without trouble and I thought this time it would be the same.
I don't contest the clearity of the BUILDING file, maybe I could contest my 
intelligence... But maybe in some other fields I could be a little more 
clever... (but I have to stretch my mind to find them...).

During the installation I found some messages like this:

error: Qt (>= Qt 3.3) (headers and libraries) not found. Please check your 

I understood the missing libraries and I installed them.
This time the message wasn't so clear to me:

error: Can't find X includes. Please check your 
installation and add the correct paths!

I thought about different paths on my distribution and I didn't know what to 
do. It would be enough to know it was a normal dependency of libxorg.

So, I found the reason of the error. I installed some dev-libraries libxorg 
and afterwards some other libraries and the configure worked well.
Thanks for your patience.
Pier Luigi Cinquantini

> You haven't said much about what you've tried to do and what
> instructions you've read, so I don't have all that much information to
> go on beyond the fact that configure fails. On the other hand, you DID
> mention a scribus version, your distro, the full configure command line,
> and even the full error message, putting you miles ahead of most people
> who post build questions.
> However, re-reading the BUILDING file I did notice that I haven't
> sufficiently stressed the need for -dev / -devel packages if you're
> using distro packages to install the requirements. I make this extremely
> clear in the distro specific sections of the BUILDING file, but because
> the package names vary from distro to distro I can't do so the same way
> in the general requirements, and I have no Mandradivia-specific section.
> So:
> ----------------------------------------------------------------------
> You MUST install the -dev or -devel packages for each of the libraries
> listed as requirements in the BUILDING file. Failure to do so will cause
> Scribus to fail to compile or will cause configure to fail. Mandradivia
> uses the -devel suffix, so you must install libqt3-devel (and similar
> packages for the other requirements). Your distro specific packaging
> tool (such as `yum', `urpmi', `apt-get/apt-cache', etc should be able to
> search for packges, or you can use rpmfind.net to discover their names).
> -----------------------------------------------------------------------
> Please feel free to ask for help if you can't find all the required
> devel packages. When you do find them all I'd very much apprecate a list
> of their names, since it'll save me the time of digging through
> rpmfind.net to find them all to add a Mandradivia section to the
> BUILDING file.
> Any mandradivia users want to help this person out with a list of -devel
> package names?
> --
> Craig Ringer
> _______________________________________________
> Scribus mailing list
> Scribus at nashi.altmuehlnet.de
> http://nashi.altmuehlnet.de/mailman/listinfo/scribus

More information about the scribus mailing list